%global momorel 5
%global qtver 4.5.1
%global qtlib %{_libdir}
%global qtinclude %{_includedir}

Summary: Mutton Lettuce Tomato Nonlinear Video Editor
Name: mlt
Version: 0.4.2
Release: %{momorel}m%{?dist}
License: GPLv2+
URL: http://www.mltframework.org/twiki/bin/view/MLT/
Group: Applications/Multimedia
Source0: http://dl.sourceforge.net/sourceforge/mlt/%{name}-%{version}.tar.gz
NoSource: 0
Patch0: mlt-0.4.2-sox1430.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: ImageMagick-devel >= 6.4.2.1
BuildRequires: SDL-devel
BuildRequires: coreutils
BuildRequires: glib2-devel
BuildRequires: gtk2-devel
BuildRequires: ffmpeg-devel >= 0.5.1
BuildRequires: jack-devel
BuildRequires: ladspa-devel
BuildRequires: lame-devel
BuildRequires: libdv-devel
BuildRequires: libmad
BuildRequires: libquicktime-devel
BuildRequires: libsamplerate-devel
BuildRequires: libvorbis-devel
BuildRequires: libxml2-devel
BuildRequires: pango-devel
BuildRequires: perl
BuildRequires: pkgconfig
BuildRequires: qt-devel >= %{qtver}
BuildRequires: ruby-devel
BuildRequires: sox-devel >= 14.3.0
Provides: %{name}++ = %{version}-%{release}
Obsoletes: %{name}++ < %{version}-%{release}

%description
Nonlinear Video Editor.

%package devel
Summary: MLT Video Editor headers/development files
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Provides: %{name}++-devel = %{version}-%{release}
Obsoletes: %{name}++-devel < %{version}-%{release}

%description devel
Headers for MLT.

%prep
%setup -q

%patch0 -p1 -b .sox1430

%build
%configure \
	--enable-gpl \
%ifarch %{ix86}
	--enable-mmx \
%else
	--disable-mmx \
%endif
	--luma-compress \
	--enable-avformat \
	--avformat-shared=%{_prefix} \
	--avformat-swscale \
	--enable-motion-est \
	--qimage-libdir=%{qtlib} \
	--qimage-includedir=%{qtinclude} \
	--disable-debug

%make
# fail (build with optflags 0.3.6-1m)
# CFLAGS="%%{optflags}" CXXFLAGS="%%{optflags}"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

# move melt to melt-mlt (to avoid conflicting with freeze-2.5.0-1m)
mv %{buildroot}%{_bindir}/melt %{buildroot}%{_bindir}/melt-mlt

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog GPL NEWS README docs/TODO
%{_bindir}/melt-mlt
%{_libdir}/mlt
%{_libdir}/libmlt++.so.*
%{_libdir}/libmlt.so.*
%{_datadir}/mlt

%files devel
%defattr(-,root,root)
%doc docs/*.txt
%{_includedir}/mlt
%{_includedir}/mlt++
%{_libdir}/pkgconfig/mlt++.pc
%{_libdir}/pkgconfig/mlt-framework.pc
%{_libdir}/libmlt++.so
%{_libdir}/libmlt.so

%changelog
* Sun Jul  5 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.4.2-5m)
- rebuild against sox-14.3.0

* Sun Jul  5 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.2-4m)
- version fix sox-devel = 14.2.0

* Mon Jun 22 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.4.2-3m)
- rebuild against ffmpeg-0.5.1-0.20090622

* Thu Jun  4 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.2-2m)
- move melt to melt-mlt (to avoid conflicting with freeze-2.5.0)

* Wed Jun  3 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.2-1m)
- version 0.4.2 including mlt++, good-bye separate mlt++

* Mon May 11 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.3.8-2m)
- rebuild against sox

* Sat Apr 18 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.8-1m)
- version 0.3.8
- remove noO3.patch

* Tue Feb  3 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.6-1m)
- version 0.3.6
- update noO4.patch to noO3.patch
- remove ppc.patch
- remove merged avcodec.patch and sox1410.patch
- re-apply sox-header.patch
- build qimage module
- License: GPLv2+

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.3.0-2m)
- rebuild against rpm-4.6

* Sun Oct 26 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.3.0-1m)
- update 0.3.0
- rebuild against sox-14.1.0

* Sun Jul 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2.5-0.20080123.10m)
- rebuild against ImageMagick-6.4.2.1

* Tue Jun 17 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.5-0.20080123.9m)
- rebuild against sox-14.0.1

* Tue May 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2.5-0.20080123.8m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.5-0.20080123.7m)
- rebuild against gcc43

* Sat Mar 22 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.5-0.20080123.6m)
- kdenlive crash fix

* Tue Feb 12 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.5-0.20080123.5m)
- fix gcc-4.3

* Sun Jan 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.5-0.20080123.4m)
- BuildRequires: lame-devel

* Sun Jan 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.5-0.20080123.3m)
- build with libquicktime

* Sun Jan 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.5-0.20080123.2m)
- disable mmx ifnarch ix86

* Sun Jan 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.5-0.20080123.1m)
- initial package for kdenlive-0.5
- import tar-ball and patches from cooker
